export declare class IconButton {
    readonly variant: "primary" | "secondary" | "tertiary";
    readonly size: string;
    readonly disabled: boolean;
    readonly icon: string;
    readonly href: string;
    readonly target: string;
    readonly shape: string;
    readonly ariaLabel: string | null;
    internalIcon: string;
    el: HTMLIfxIconButtonElement;
    private focusableElement;
    handleClick(event: Event): void;
    updateIcon(newIcon: string): void;
    setFocus(): Promise<void>;
    componentWillLoad(): void;
    componentDidLoad(): Promise<void>;
    render(): any;
    private getVariantClass;
    private getSizeClass;
    private getClassNames;
}
